Watch, Follow, &
Connect with Us
Public Report
Report From: 3rdRail/Ruby and Rails Editors    [ Add a report in this area ]  
Report #:  53725   Status: Closed
"Open Declaration" fails to find plugins
Project:  3rdRail Build #:  v20070909_1913
Version:    unspecifie Submitted By:   Lori Olson
Report Type:  Basic functionality failure Date Reported:  10/19/2007 11:31:13 AM
Severity:    Infrequently encountered problem Last Updated: 3/31/2008 5:44:38 PM
Platform:    All platforms Internal Tracking #:  
Resolution: Fixed (Resolution Comments) Resolved in Build: : None
Duplicate of:  None
Voting and Rating
Overall Rating: No Ratings Yet
0.00 out of 5
Total Votes: 10
Description
On Mac.

I have a plugin that defines a class that most of my models extend.  When I open one of my model files, select the plugin class in the class declaration, and attempt to "Open Declaration", I get an error message that says "Current text selection does not resolve to a Script element".

This is a general problem with the class heirarchy no including plugins, not actually specific to models.  I have the same problem in another project, attempting to navigate to a plugin class from a controller.
Steps to Reproduce:
See description.
Workarounds
You have to use Shift-Cmd-R to navigate to plugin classes.
Attachment
None
Comments

None

Server Response from: ETNACODE01